<div class="container" *ngIf="authService.isLogged | async">

    <ng-container *ngIf="isAdministrador">
        <mat-toolbar>
            <span> Crear Empleados Empresa </span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarColaboradoresEmpresa">Volver</button>

        </mat-toolbar>

        <mat-card style="margin-top: 5px;">
            <form [formGroup]="editarForm" (ngSubmit)="postForm(editarForm.value)">
                <mat-grid-list cols="3" rowHeight="80px">

                    <!--
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>ID Empleado</mat-label>
                            <mat-select matInput formControlName="id_empleado">
                                <mat-option type="text" value="{{emp.id_empleado}}" *ngFor="let emp of empleados">
                                    {{emp.id_empleado}} - {{emp.nombres}}</mat-option>
                            </mat-select>
                        </mat-form-field>
                    </mat-grid-tile> -->

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Nombres <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input type="text" matInput placeholder="" formControlName="nombres" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>
                    
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Apellido Paterno <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input type="text" matInput placeholder="" formControlName="primer_apellido" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="3">
                        <img class="imagen" src="./assets/img/user.svg">
                    </mat-grid-tile>
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Apellido Materno <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input type="text" matInput placeholder="" formControlName="segundo_apellido" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>RUT</mat-label>
                            <input type="text" matInput placeholder="" formControlName="numero_documento" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>

                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Fecha Nacimiento</mat-label>
                            <input matInput [matDatepicker]="picker" formControlName="fecha_nacimiento">
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Direccion <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input type="text" matInput placeholder="" formControlName="direccion" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>

                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>email <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input type="text" matInput placeholder="" formControlName="email" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>

                    


                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Username <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input type="text" matInput placeholder="" formControlName="username" autocomplete="off">
                        </mat-form-field>
                    </mat-grid-tile>
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Password <mat-icon color="accent">edit</mat-icon></mat-label>
                            <input matInput [type]="hide ? 'password' : 'text'" formControlName="pass"
                                autocomplete="off">
                            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                                [attr.aria-pressed]="hide">
                                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                            </button>
                        </mat-form-field>
                    </mat-grid-tile>


                    <!--
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Empresa</mat-label>
                            <mat-select matInput formControlName="id_empresa">
                                <mat-option value="{{empresa.id_empresa}}" *ngFor="let empresa of empresas">
                                    {{empresa.id_empresa}} - {{empresa.nombre_empresa}}</mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>
                    -->

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Roles <mat-icon color="accent">edit</mat-icon></mat-label>
                            <mat-select matInput formControlName="id_rol">
                                <mat-option value="{{rol.id_rol}}" *ngFor="let rol of roles">
                                    {{rol.id_rol}} - {{rol.nombre_rol}}</mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>



                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Unidad <mat-icon color="accent">edit</mat-icon></mat-label>
                            <mat-select matInput formControlName="id_unidad">
                                <mat-option value="{{unidad.id_unidad}}" *ngFor="let unidad of unidades">
                                    {{unidad.id_unidad}} - {{unidad.nombre_unidad}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>

                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Area <mat-icon color="accent">edit</mat-icon></mat-label>
                            <mat-select matInput formControlName="id_area">
                                <mat-option value="{{area.id_area}}" *ngFor="let area of data">
                                    {{area.nombre_area}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>

                    


                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button color="accent" type="submit" [disabled]="editarForm.invalid"
                            class="example-spacer">Guardar Cambios</button>
                    </mat-grid-tile>

                </mat-grid-list>

            </form>
        </mat-card>
    </ng-container>


</div>